Door gebruik te maken van Scholieren.com of door hiernaast op ‘akkoord’ te klikken, ga je akkoord met onze gebruiksvoorwaarden en geef je toestemming voor het gebruik van cookies. Als je niet alle cookies wilt toestaan, ga dan naar ‘instellingen aanpassen’ om dit in te stellen. Ben je jonger dan 16 jaar? Zorg dan dat je toestemming hebt van je ouders om onze site te bezoeken. Hier lees je alles over hoe wij omgaan met je privacy.

Oud 10-12-2001, 10:30
Marc S
Marc S is offline
Op de desktop vind ik FreeBSD toch niet zo denderend. Vooral omdat veel dingen pas werken na een hoop gekloot

Met Slackware gaat het de laatste tijd niet zo goed en het wordt ook steeds minder ondersteund, dus nu denk ik er aan 'echt' over te stappen op Debian.

Ik heb al de ISO van Debian 2.2R4 op CD staan. Nu mijn vraag: is 2.2R4 voorbereid om gebruik te maken van de nieuwe 2.4 kernels? Oftewel: zijn de modutils, e2fsutils, enzovoorts up to date?

Of kan men met het voor mij nog steeds onbekende APT dit eenvoudig voor elkaar krijgen? Zo ja, hoe?

Ik wil uiteraard XFree86 4.1 gebruiken in combinatie met een 2.4 kernel.

Groetjes,
Marc
Met citaat reageren
Advertentie
Oud 10-12-2001, 15:32
Edwin uit Kaasstad
Edwin uit Kaasstad is offline
met iedere linux distributie kan je natuurlijk altijd een nieuw kernel compileren.
maare..
je hebt toch ook adsl ??
dan kan je beter effe een nieuwe iso downloaden ben je meteen klaar.
Trouwens voor linux kan je je alcatel modem beter tweaken werkt makelijker.

Groeten

Edwin
__________________
Http://www.edjuh.nl -->> mijn Site Http://f4rum.tk --> HET forum ..Edjuh de rapper..
Met citaat reageren
Oud 10-12-2001, 15:36
dystopia
dystopia is offline
Als jij XFree 4.1.x zo graag wilt gebruiken zul je unstable moeten draaien ipv. stable. Dat is Debian 3.0 SID en heeft niks meer met 2.x te maken. Verwacht niet dat altijd alles goed werkt je zult #debian op OPN in de gaten moeten houden. Bijv. nieuwe kernel met nieuwste binutils compilen lukt niet, dat ligt aan de kernel. Zul je binutils van 'testing' moeten gebruiken.

Linux 2.4.x werkt wel prima met Woody
__________________
The surest way to corrupt a youth is to instruct him to hold in higher esteem those who think alike than those who think differently - Steve Jobs
Met citaat reageren
Oud 10-12-2001, 15:45
dystopia
dystopia is offline
Citaat:
Edwin uit Kaasstad schreef:
dan kan je beter effe een nieuwe iso downloaden ben je meteen klaar.
Trouwens voor linux kan je je alcatel modem beter tweaken werkt makelijker.
Dus jij vind ADSL4Linux moeilijker dan de DHCP_SPOOF tweak?
__________________
The surest way to corrupt a youth is to instruct him to hold in higher esteem those who think alike than those who think differently - Steve Jobs
Met citaat reageren
Oud 10-12-2001, 15:45
Marc S
Marc S is offline
Citaat:
dystopia schreef:
Als jij XFree 4.1.x zo graag wilt gebruiken zul je unstable moeten draaien ipv. stable. Dat is Debian 3.0 SID en heeft niks meer met 2.x te maken.
Hmmz, dat is dus vervelend :/

Waarom eigenlijk?

Ik wil 4.1 gebruiken met XFT + antialiasing en alle shit er omheen, net zoals onder FreeBSD. Maar als het echt problemen vormt, zal ik toch een ander distro moeten zoeken

Citaat:
Linux 2.4.x werkt wel prima met Woody
Woody... dat is dus eigenlijk 'testing'? :/
Met citaat reageren
Oud 10-12-2001, 15:46
Marc S
Marc S is offline
Citaat:
Edwin uit Kaasstad schreef:
*snip*
De nieuwste 2.4 kernels met het nieuwe VM systeem zul je niet zo snel op een ISO tegen komen IMHO...
Met citaat reageren
Oud 10-12-2001, 15:56
dystopia
dystopia is offline
Omdat 4.1.x niet 'stabiel' is. Heeft zich nog niet voldoende bewezen. Wanneer iets in 'testing' komt dan wordt het kandidaat voor 'stable'. Daarna wordt het uiteindelijk stable.

Unstable is op zich stabiel. Daar bedoel ik mee: het werkt. Alleen complicaties kunnen optreden. Binutils werkt en is succesvol gecompiled. Complicatie met de kernel is geen rekening mee gehouden.

Alleen het is gewoon dm om unstable op een productiesysteem te pleuren. Je weet nooit wat voor magische gebeurtenissen er plaats kunnen vinden.

Net zoals het dom is om meteen 1 dag nadat een nieuwe kernel is uitgebracht te updaten. Laat andere maar lekker testen. 2.4.15 bijvoorbeeld, had nogal een ernstig probleem in het Ext2FS gedeelte.

Voor je thuisbak raad ik je aan unstable te runnen.

Edit /etc/apt/sources.list en doe het volgende:
deb http://non-us.debian.org/debian-non-US unstable/non-US main contrib non-free
deb
deb http://http.us.debian.org/debian unstable main contrib non-free

Je comment *stable* out (ook security, want die entry geldt alleen voor stable en anders gaat ie XFree 3.x security updates downen en installeren en wordt je vbak richting FUBAR. wanneer er een bug zit in unstable komen er ook updates maar stable heeft een veel hogere prioriteit voor het Debian team)

Je kunt ipv. 'us' gewoon 'nl' gebruiken. Dat scheelt snelheid maar is ook later up2date.

Naja daarna run je apt-get update && apt-get dist-upgrade en je draait na een uurtje Debian unstable/Sid.
__________________
The surest way to corrupt a youth is to instruct him to hold in higher esteem those who think alike than those who think differently - Steve Jobs
Met citaat reageren
Oud 10-12-2001, 16:07
Marc S
Marc S is offline
Citaat:
dystopia schreef:
*snip*
Ik gebruik de nieuwste XFree86 al een paar maanden, zonder enige problemen. Daarnaast geef ik je wel gelijk over de 2.4 kernel. Hmmm, het zal toch wel mogelijk zijn de nieuwste X ook gewoon onder Stable te draaien?

De rest van het systeem moet wel degelijk stabiel zijn. Ik zou er nog mee kunnen leven de 2.2.19 kernel te gebruiken, maar de 'desktop' zelf moet nieuw zijn.

Ach ja, ik ga het nog een keer dieper uitzoeken.
Met citaat reageren
Oud 10-12-2001, 16:21
Conan the Librarian
Conan the Librarian is offline
Citaat:
Marc S schreef:
Hmmm, het zal toch wel mogelijk zijn de nieuwste X ook gewoon onder Stable te draaien?

De rest van het systeem moet wel degelijk stabiel zijn. Ik zou er nog mee kunnen leven de 2.2.19 kernel te gebruiken, maar de 'desktop' zelf moet nieuw zijn.
Draai anders Woody ('testing'), dat nieuwer is dan Potato (stable), en stabieler dan Sid ('unstable').

Met apt-get kan je ook uit andere distro's (van Debian) progs installeren. Dus Woody draaien, maar de X en KDE van Sid erbij. Woody is dacht ik ook 2.4-georienteerd. (hoewel het met 2.2 ook draait - hier althans wel).


Conan... gaat na een vooralsnog mislukt OpenBSD-avontuur weer terug naar Debian (Sid)
Met citaat reageren
Oud 10-12-2001, 16:37
Koen
Avatar van Koen
Koen is offline
Ik draai zelf ook Debian 3.0 (Unstable)

Draait op zich prima en stabiel, maar ook dat kernel compile probleem ben ik laatst tegengekomen, zal dus aan de binutils liggen.

Verder ben ik nog geen 'vervelende' problemen tegengekomen. Het loopt prima, ook Xfree ed geven geen problemen.

Als je unstable draait heb je in ieder geval alles zeker weten uptodate, loop je natuurlijk wel het risico op kleine complicaties, maar ach, dat hoort erbij zullen we maar zeggen
Met citaat reageren
Oud 10-12-2001, 16:42
Edwin uit Kaasstad
Edwin uit Kaasstad is offline
Citaat:
dystopia schreef:
Dus jij vind ADSL4Linux moeilijker dan de DHCP_SPOOF tweak?

Die tweak was zo gedaan en dan werkt ie heerlijk.
Ik bedoel dat ie dan op ppp werkt heb niet met dhcp_spoof gespeelt was niet nodig met ppp werkt hij hier heerlijk snel op alle 6 machines zelf op een 386.

enne pptp was echt een ramp op mandrake 8.1

Groeten

Edwin

__________________
Http://www.edjuh.nl -->> mijn Site Http://f4rum.tk --> HET forum ..Edjuh de rapper..
Met citaat reageren
Oud 10-12-2001, 16:44
dystopia
dystopia is offline
Code:
[msg(apt)] hi
[apt(apt@EMU.RES.CMU.EDU)] hi, dystopia
[msg(apt)] news
[apt(apt@EMU.RES.CMU.EDU)] |==== News for #debian: (2 items)
[apt(apt@EMU.RES.CMU.EDU)] |= Last updated 12h 20m 3s ago.
[apt(apt@EMU.RES.CMU.EDU)]  Num  Item

[apt(apt@EMU.RES.CMU.EDU)] [ 1]* channel needs active ops for topic control
-:- SignOff oskie: #debian (Ping timeout: 181 seconds)
[apt(apt@EMU.RES.CMU.EDU)] [ 2]* XF410-10 can destroy your config
[apt(apt@EMU.RES.CMU.EDU)] |= End of News.
[apt(apt@EMU.RES.CMU.EDU)] use 'news read <#>' or 'news read <keyword>'

[msg(apt)] news 2
-apt(apt@EMU.RES.CMU.EDU)- +- News #debian #2: XF410-10 can destroy your
          config
-apt(apt@EMU.RES.CMU.EDU)- | Added by mwilson at Sun Dec  9 23:22:15 2001
-apt(apt@EMU.RES.CMU.EDU)- | Expire: Sun Dec 16 23:22:15 2001  [6d 11h 39m 44s
          from now]
-apt(apt@EMU.RES.CMU.EDU)- The latest XFree upgrade in unstable can
          potentially destroy your existing XF86COnfig-4... save it somewhere
          and restore it afterwards.  See bug # 123053 in the BTS.
-apt(apt@EMU.RES.CMU.EDU)- | Requested 84 times, last by slm
Blijkbaar is Binutils dus gefixed. Nog niet veel van gemerkt maar goed.

En hier wat apt eerst zei over Binutils:

Code:
18:32 -apt(apt@EMU.RES.CMU.EDU)- get testing's binutils from
          http://packages.debian.org/testing/devel/binutils.html   remove
the
          old one with dpkg --force-all -r binutils  and reinstall with
dpkg -i
          binutils_2.11.92.0.10-4_i386.deb
Happy compilin' Koen
__________________
The surest way to corrupt a youth is to instruct him to hold in higher esteem those who think alike than those who think differently - Steve Jobs
Met citaat reageren
Oud 10-12-2001, 16:45
Edwin uit Kaasstad
Edwin uit Kaasstad is offline
Citaat:
Marc S schreef:
De nieuwste 2.4 kernels met het nieuwe VM systeem zul je niet zo snel op een ISO tegen komen IMHO...


bij mandrake kan ik die kiezen versie 8.1
of ik ben gek.

Groeten

Edwin

__________________
Http://www.edjuh.nl -->> mijn Site Http://f4rum.tk --> HET forum ..Edjuh de rapper..
Met citaat reageren
Oud 10-12-2001, 16:48
dystopia
dystopia is offline
Citaat:
Edwin uit Kaasstad schreef:
Die tweak was zo gedaan en dan werkt ie heerlijk.
Ik bedoel dat ie dan op ppp werkt heb niet met dhcp_spoof gespeelt was niet nodig met ppp werkt hij hier heerlijk snel op alle 6 machines zelf op een 386.
Hmmm.. En wat voor IP's hebben die PC's dan als ik vragen mag? Allemaal lokaal? Want ik heb graag m'n Linux PC op eth0 ook het externe IP en niet die baggerzooi van 10.0.0.xxx. En dat kan dus met die DHCP_Spoof en met ARP. Laatste is erg pittig.

Citaat:
enne pptp was echt een ramp op mandrake 8.1
Why?
__________________
The surest way to corrupt a youth is to instruct him to hold in higher esteem those who think alike than those who think differently - Steve Jobs
Met citaat reageren
Oud 10-12-2001, 17:00
Marc S
Marc S is offline
Citaat:
Edwin uit Kaasstad schreef:
bij mandrake kan ik die kiezen versie 8.1
of ik ben gek.
Er is een verschil tussen 2.4.7 en 2.4.16 oid

Maar goed, ik zit echt in de knoop met mezelf.

Ik wil de performance van een 2.4 kernel,
de kleine basis van een BSD,
de nieuwste software voor de desktop,
zo weinig mogelijk gezeik met packages,
en compatible zijn met zo veel mogelijk Linux software.

Nu heeft Dystopia idd gelijk dat de laatste 2.4 kernels een groot zooitje zijn, gevuld met bugs. Eerst dat ext2 probleem, dat je hele drive corrupten kan en die nieuwe VM die bij sommige configuraties 'errug' traag werd (wat nu trouwens gefixed is in 2.4.16)

Ik wil dus een overzichtelijk klein systeem dat cutting-edge is

Nog even en ik begin aan een LFS


[Dit bericht is aangepast door Marc S (10-12-2001).]
Met citaat reageren
Oud 10-12-2001, 18:19
dystopia
dystopia is offline
preempt-kernel-rml-2.4.16-1.patch
Die patch = goed
__________________
The surest way to corrupt a youth is to instruct him to hold in higher esteem those who think alike than those who think differently - Steve Jobs
Met citaat reageren
Oud 10-12-2001, 19:08
Koen
Avatar van Koen
Koen is offline
Citaat:
and reinstall withdpkg -i binutils_2.11.92.0.10-4_i386.deb
Leuk en aardig, maar waar haal ik die vandaan? Kan 'm op packages.debian.org niet vinden, slechts nieuwere versies.. :/
Met citaat reageren
Oud 10-12-2001, 19:13
dystopia
dystopia is offline
http://saens.debian.org/debian/pool/....10-4_i386.deb
__________________
The surest way to corrupt a youth is to instruct him to hold in higher esteem those who think alike than those who think differently - Steve Jobs
Met citaat reageren
Ads door Google
Oud 10-12-2001, 20:25
Edwin uit Kaasstad
Edwin uit Kaasstad is offline
Citaat:
dystopia schreef:
Why?

10.0.0.150 tot 1.0.0.155
allemaal subnet 255.255.255.0
de gateway is 10.0.0.138
en bij dns de dns van je provider. (xs4all bij mij)
en zitten verdeelt over 2 hubs(i.v.m. kabels over verschillende verdiepingen)

Op je modem bij het ppp menu dan je gebruikersnaam wachtwoord ect invullen en klaar.

tenminste zo werkthet bij mij.

en waarom pptp in mandrake niet lekker werkt geen idee had dat eerst geprobeert, maar liep steeds vasr enzo.

Groeten

Edwin

__________________
Http://www.edjuh.nl -->> mijn Site Http://f4rum.tk --> HET forum ..Edjuh de rapper..
Met citaat reageren
Oud 10-12-2001, 20:54
Marc S
Marc S is offline
Citaat:
Edwin uit Kaasstad schreef:
waarom pptp in mandrake niet lekker werkt geen idee had dat eerst geprobeert, maar liep steeds vasr enzo.
Mandrake is gebaseerd op RedHat, die had ook problemen met pptp. Had iets met de standaard instellingen van ppp te maken
Met citaat reageren
Oud 10-12-2001, 22:05
Koen
Avatar van Koen
Koen is offline
Gloeiende t*ring, dat werkt ook nog..

Tnx!
Met citaat reageren
Oud 12-12-2001, 21:18
Digger3
Avatar van Digger3
Digger3 is offline
msensen voor je apt-sources gebruik lekker een NL mirror, is wat sneller:

deb http://ftp.nl.debian.org/debian unstable main

(bijvoorbeeld)

en ga NOOIT NOOIT NOOIT 2.4.17 draaien, dat is echt onstabiel niet leuk meer
__________________
You have not converted a man because you have silenced him. -- John Viscount Morley
Met citaat reageren
Oud 12-12-2001, 21:20
Marc S
Marc S is offline
Citaat:
Digger3 schreef:
en ga NOOIT NOOIT NOOIT 2.4.17 draaien, dat is echt onstabiel niet leuk meer
Dat geeft veel vertrouwen

Hmm, ik heb na 2.4.7 eigenlijk niets meer geprobeerd
Met citaat reageren
Oud 12-12-2001, 21:22
Digger3
Avatar van Digger3
Digger3 is offline
Citaat:
Marc S schreef:
Dat geeft veel vertrouwen

Hmm, ik heb na 2.4.7 eigenlijk niets meer geprobeerd

wat moet ik dan doen? problemen verzwijgen daar heeft niemand wat aan maar goed

2.4.16 is tot nu toe wel stabiel, alleen zijn die NVIDIA drivers beetje gaar, soms switch ik teveel van console --> X en dan heb ik opeens geen beeld meer, alles werkt nog, xie alleen nix meer, is wel vervelend... weet nog niet waar het aan ligt.....Zolang ik maar in X blijf, is er nix aan de hand, VAAG
__________________
You have not converted a man because you have silenced him. -- John Viscount Morley
Met citaat reageren
Oud 12-12-2001, 21:25
Marc S
Marc S is offline
Citaat:
Digger3 schreef:
wat moet ik dan doen? problemen verzwijgen daar heeft niemand wat aan maar goed
Dat houdt het spannend

Citaat:
2.4.16 is tot nu toe wel stabiel, alleen zijn die NVIDIA drivers beetje gaar, soms switch ik teveel van console --> X en dan heb ik opeens geen beeld meer, alles werkt nog, xie alleen nix meer, is wel vervelend... weet nog niet waar het aan ligt.....Zolang ik maar in X blijf, is er nix aan de hand, VAAG
Video mode switching over het algemeen tussen console en X gaat wel eens fout onder Linux. Ik had het al met verschillende videokaarten dat ik ineens een corrupte display (om exact te zijn: S3Virge, Matrox MGA 100, S3Savage4 en Nvidea GeForce 2MX)...
Met citaat reageren
Advertentie
Oud 12-12-2001, 21:28
Digger3
Avatar van Digger3
Digger3 is offline
Citaat:
Marc S schreef:
Video mode switching over het algemeen tussen console en X gaat wel eens fout onder Linux. Ik had het al met verschillende videokaarten dat ik ineens een corrupte display (om exact te zijn: S3Virge, Matrox MGA 100, S3Savage4 en Nvidea GeForce 2MX)...

AHHH, tis dus 'normaal'
__________________
You have not converted a man because you have silenced him. -- John Viscount Morley
Met citaat reageren
Oud 12-12-2001, 21:31
Marc S
Marc S is offline
Citaat:
Digger3 schreef:
AHHH, tis dus 'normaal'
Je went eraan

Maar goed, ik heb het ook nauwelijks nodig. Hou gewoon meerdere xterm sessies open, desnoods nog op verschillende desktops.
Met citaat reageren
Advertentie
Reageren

Topictools Zoek in deze topic
Zoek in deze topic:

Geavanceerd zoeken

Regels voor berichten
Je mag geen nieuwe topics starten
Je mag niet reageren op berichten
Je mag geen bijlagen versturen
Je mag niet je berichten bewerken

BB code is Aan
Smileys zijn Aan
[IMG]-code is Aan
HTML-code is Uit

Spring naar

Soortgelijke topics
Forum Topic Reacties Laatste bericht
Software & Hardware Vraag over Linux met betrekking tot Windows NT
vortex
7 03-03-2002 22:21


Alle tijden zijn GMT +1. Het is nu 14:31.